[Numpy-discussion] Fixing numpy 1.4.0 ABI breakage, and a plea for self-contained, small commits

Alan G Isaac aisaac@american....
Wed Jan 27 21:46:47 CST 2010


On 1/27/2010 8:56 PM, David Cournapeau wrote:
> one could make the argument that releasing the API would avoid
> having to port numpy "twice" (first to py3k with say numpy 1.5.0, then
> to the new API for numpy 2.0). But I am not sure it is a big change in
> practice ?

OK, I misunderstood: I thought you were proposing to change
the API *only* for the py3k NumPy, effectively leaving the
earlier Pythons orphaned.  Sorry for the mistake.

Alan



More information about the NumPy-Discussion mailing list